Bug 205942 - Without librsvg2 installed, virt-manager stack traces
Summary: Without librsvg2 installed, virt-manager stack traces
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-10 15:59 UTC by Chris Lalancette
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 16:13:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Lalancette 2006-09-10 15:59:50 UTC
Description of problem:
If you do not have librsvg2 installed, virt-manager fails to start with the
following stack trace:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 73, in ?
    gtk.window_set_default_icon_from_file(icon_dir + "/" + appname + "-icon.svg")
gobject.GError: Couldn't recognize the image file format for file
'/usr/share/virt-manager/pixmaps/virt-manager-icon.svg'

Installing the librsvg2 package easily fixes the problem; the virt-manager
package should probably Require librsvg2.

Comment 1 Daniel Berrange 2006-09-12 23:16:18 UTC
Yes, a missing RPM dependancy

Comment 2 Daniel Berrange 2006-09-19 16:13:40 UTC
Fixed in rawhide, virt-manager-0.2.2-1.fc6



Note You need to log in before you can comment on or make changes to this bug.